PUT api/leadpulse/process/{parentJobReference}/{envelopeTemplatePackId}

Processes the lead pulse preview by updating or removing cached data based on the provided input. This method updates the cached CSV data for a lead pulse preview associated with the specified and . If the provided contains no data rows, the cache entry is removed. If the cache entry or the associated lead pulse preview does not exist, the method returns a corresponding error response.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
parentJobReference

The unique identifier for the parent job associated with the lead pulse preview.

globally unique identifier

Required

envelopeTemplatePackId

The identifier for the envelope template pack associated with the lead pulse preview.

integer

Required

Body Parameters

The data contract containing the CSV data to update the lead pulse preview. Cannot be null.

LeadPulseCSVDataContract
NameDescriptionTypeAdditional information
LeadPulseFilterId

The unique identifier of the related lead pulse filter resource.

integer

None.

LeadPulseCampaignId

The unique identifier of the related lead pulse campaign resource.

integer

None.

DataRows

The collection of data rows.

Collection of LeadPulseCSVDataRowContract

None.

Request Formats

application/x-www-form-urlencoded

Sample:

Sample not available.

application/json, text/json

Sample:
{
  "LeadPulseFilterId": 1,
  "LeadPulseCampaignId": 2,
  "DataRows": [
    {
      "hs_id": 1,
      "uprn": 1,
      "udprn": 1,
      "campaignId": 2,
      "BuildingName": "sample string 3",
      "BuildingNumber": "sample string 4",
      "SubBuildingName": "sample string 5",
      "Thoroughfare": "sample string 6",
      "Street": "sample string 7",
      "DoubleDependentLocality": "sample string 8",
      "DependentLocality": "sample string 9",
      "PostTown": "sample string 10",
      "County": "sample string 11",
      "Postcode": "sample string 12",
      "Country": "sample string 13",
      "Stock": "sample string 14",
      "ImageUrl": "sample string 15"
    },
    {
      "hs_id": 1,
      "uprn": 1,
      "udprn": 1,
      "campaignId": 2,
      "BuildingName": "sample string 3",
      "BuildingNumber": "sample string 4",
      "SubBuildingName": "sample string 5",
      "Thoroughfare": "sample string 6",
      "Street": "sample string 7",
      "DoubleDependentLocality": "sample string 8",
      "DependentLocality": "sample string 9",
      "PostTown": "sample string 10",
      "County": "sample string 11",
      "Postcode": "sample string 12",
      "Country": "sample string 13",
      "Stock": "sample string 14",
      "ImageUrl": "sample string 15"
    }
  ]
}

Response Information

Resource Description

An indicating the result of the operation: if is null. if the cache entry or lead pulse preview does not exist. if the cache is successfully updated and the processing job is started. if the cache entry is removed due to empty data rows.

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.